package com.tofly.watermeter.custom.entity.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.math.BigDecimal;

/**
 * @author FlashWJL
 * @date 2021/6/9 20:07
 */
@Getter
@AllArgsConstructor
public enum ReadData {

    CALCULATE_ZERO_TWO(new BigDecimal(0.2)),
    CALCULATE_ZERO_THREE(new BigDecimal(0.3)),
    CALCULATE_ZERO_FOUR(new BigDecimal(0.4)),
    CALCULATE_ZERO_FIVE(new BigDecimal(0.5)),
    CALCULATE_ZERO(new BigDecimal(0)),
    CALCULATE_ONE(new BigDecimal(1)),
    CALCULATE_TWO(new BigDecimal(2)),
    CALCULATE_THREE(new BigDecimal(3)),
    CALCULATE_FOUR(new BigDecimal(4)),
    CALCULATE_FIVE(new BigDecimal(5)),
    CALCULATE_SIX(new BigDecimal(6)),
    CALCULATE_SEVEN(new BigDecimal(7)),
    CALCULATE_HUNDRED(new BigDecimal(100)),
    ;


    private BigDecimal yield;
}
